{% extends "layouts/base.njk" %}
{% import "components/jumbotron.njk" as jumbotron %}
{% import "components/card.njk" as card %}

{% block title %}Whitelabel{% endblock %}

{% block main %}

  {{ jumbotron.element(title = 'Whitelabel', lead = 'Welcome to the frontend repository for Whitelabel. Here you will find a list of components and page templates that are used on the website.' ) }}

  <example-vue-widget></example-vue-widget>

  <div class="container">
    <div class="row">
      <div class="col-md-4">
        {% call card.element({title: 'Typography', container: 'container-full', ctaUrl: '/typography.html', ctaText: 'View'}) %}
          <p class="card-text">Common typography font sizes and colours.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({title: 'Brand Colours', container: 'container-full', ctaUrl: '#', ctaText: 'View'}) %}
          <p class="card-text">Colours taken directly from brand guidelines and how to use them.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({title: 'Custom Icons', container: 'container-full', ctaUrl: '#', ctaText: 'View'}) %}
          <p class="card-text">How to use additional brand icons created for this project.</p>
        {% endcall %}
      </div>
    </div>
    <div class="row">
      <div class="col-md-4">
        {% call card.element({title: 'CMS Components', container: 'container-full', ctaUrl: '/cms-components.html', ctaText: 'View'}) %}
          <p class="card-text">Frontend markup for all of the CMS components.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({title: 'Page Layouts', container: 'container-full', ctaUrl: '/page-layouts.html', ctaText: 'View'}) %}
          <p class="card-text">A combination of CMS components and HTML that create pages.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        {% call card.element({title: 'Forms', container: 'container-full', ctaUrl: '#', ctaText: 'View'}) %}
          <p class="card-text">All of the form elements and validation rules that can be used on this project.</p>
        {% endcall %}
      </div>
    </div>
  </div>

{% endblock %}

